Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.protocol
Class IDPList

    java.lang.Object
      oasis.names.tc.saml._2_0.protocol.IDPList

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class IDPList

extends Object
implements Serializable

Java class for IDPListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IDPListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}IDPEntry" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}GetComplete" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`IDPList()`

Method Summary
`String` | `getGetComplete()` Gets the value of the getComplete property.
`List<IDPEntry>` | `getIDPEntries()` Gets the value of the idpEntries property.
`void` | `setGetComplete(String value)` Sets the value of the getComplete property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDPList

    public IDPList()

Method Detail

### getIDPEntries

    public List<IDPEntry> getIDPEntries()

  Gets the value of the idpEntries property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the idpEntries property.

  For example, to add a new item, do as follows:

          getIDPEntries().add(newItem);

  Objects of the following type(s) are allowed in the list `IDPEntry`

### getGetComplete

    public String getGetComplete()

  Gets the value of the getComplete property.

  Returns:
    possible object is `String`

### setGetComplete

    public void setGetComplete(String value)

  Sets the value of the getComplete property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.